#
# spec file for package python-azure-mgmt-datalake-store
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt-datalake-store
Version:        0.5.0
Release:        6.4.1
Summary:        Microsoft Azure Data Lake Store Management Client Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt-datalake-store/azure-mgmt-datalake-store-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-mgmt-datalake-nspkg >= 3.0.0}
BuildRequires:  %{python_module azure-mgmt-nspkg >= 3.0.0}
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common < 2.0.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-mgmt-datalake-nspkg >= 3.0.0
Requires:       python-azure-mgmt-nspkg >= 3.0.0
Requires:       python-azure-nspkg >= 3.0.0
Requires:       python-msrestazure < 2.0.0
Requires:       python-msrestazure >= 0.4.27
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Data Lake Store Management Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5 and 3.6.

%prep
%setup -q -n azure-mgmt-datalake-store-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-datalake-store-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/datalake/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/datalake/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python_sitelib}/azure/mgmt/datalake/store
%{python_sitelib}/azure_mgmt_datalake_store-*.egg-info

%changelog
* Tue Dec 15 2020 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Fri Oct  4 2019 adrian.glaubitz@suse.com
- Drop patches to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + amds_drop-compatible-releases-operator.patch
* Fri Apr 12 2019 adrian.glaubitz@suse.com
- Bump minimum version for namespace packages
  to 3.0.0 in BuildRequires and Requires
- Remove python-devel package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
* Mon Sep  3 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.5.0
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Refresh patches for new version
  + amds_drop-compatible-releases-operator.patch
- Update Requires from setup.py
* Thu Mar  1 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.4.0
- Move LICENSE.txt from %%doc to %%license section
* Tue Feb  6 2018 jgleissner@suse.com
- fixed typo in spec file Requires
* Thu Jan 18 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.3.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
- Refresh patches for new version
  + amds_drop-compatible-releases-operator.patch
- Update Description from upstream
- Update Requires from setup.py
* Wed Oct  4 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.2.0
- Remove versioning for namespace packages in Requires
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Thu Jul 13 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
- Add python-azure-mgmt-nspkg to Requires
- Add python-azure-mgmt-datalake-nspkg to Requires
* Tue Jun 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.1.6
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + amds_drop-compatible-releases-operator.patch
